/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.cvut.ds.dsjdbc.entities;

import java.sql.Date;

/**
 *
 * @author marek
 */
public class Employee {

    private int employeeId;
    private Date birthDate;
    private String fullName;
    private int departmentId;

    public Date getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(Date birthDate) {
        this.birthDate = birthDate;
    }

    public int getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(int departmentId) {
        this.departmentId = departmentId;
    }

    public int getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(int employeeId) {
        this.employeeId = employeeId;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    @Override
    public String toString() {
        return fullName;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Employee other = (Employee) obj;
        if (this.employeeId != other.employeeId) {
            return false;
        }
        if (this.birthDate != other.birthDate && (this.birthDate == null || !this.birthDate.equals(other.birthDate))) {
            return false;
        }
        if ((this.fullName == null) ? (other.fullName != null) : !this.fullName.equals(other.fullName)) {
            return false;
        }
        if (this.departmentId != other.departmentId) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 73 * hash + this.employeeId;
        hash = 73 * hash + (this.birthDate != null ? this.birthDate.hashCode() : 0);
        hash = 73 * hash + (this.fullName != null ? this.fullName.hashCode() : 0);
        hash = 73 * hash + this.departmentId;
        return hash;
    }




}
