/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.cvut.ds.dsjdbc.entities;

import java.sql.Date;

/**
 *
 * @author marek
 */
public class Salary {

    private int employeeId;
    private double salaryPaid;
    private Date payDate;

    public int getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(int employeeId) {
        this.employeeId = employeeId;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public double getSalaryPaid() {
        return salaryPaid;
    }

    public void setSalaryPaid(double salaryPaid) {
        this.salaryPaid = salaryPaid;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Salary other = (Salary) obj;
        if (this.employeeId != other.employeeId) {
            return false;
        }
        if (Double.doubleToLongBits(this.salaryPaid) != Double.doubleToLongBits(other.salaryPaid)) {
            return false;
        }
        if (this.payDate != other.payDate && (this.payDate == null || !this.payDate.equals(other.payDate))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 47 * hash + this.employeeId;
        hash = 47 * hash + (int) (Double.doubleToLongBits(this.salaryPaid) ^ (Double.doubleToLongBits(this.salaryPaid) >>> 32));
        hash = 47 * hash + (this.payDate != null ? this.payDate.hashCode() : 0);
        return hash;
    }

    @Override
    public String toString() {
        return "Salary{" + "salaryPaid=" + salaryPaid + "payDate=" + payDate + '}';
    }


}
